@use '../../../node_modules/prismjs/plugins/toolbar/prism-toolbar' as *;
@use '../../../node_modules/prismjs/plugins/line-numbers/prism-line-numbers' as *;
@use '../../../node_modules/prismjs/plugins/line-highlight/prism-line-highlight' as *;
@use '../../../node_modules/prismjs/themes/prism-tomorrow' as *;

@use '../components/image_modal' as *;

@use '../colors' as *;
@use '../spacing' as *;

.markdown img {
    display: block;
    max-height: 400px;
    height: 100%;
    margin-top: $DEFAULT-SPACING;
    margin-bottom: $DEFAULT-SPACING;
    margin-left: 0;
    margin-right: auto;
}

.markdown li img {
    display: inline-block;
    height: 16px;
    width: 16px;
    margin: auto 5px !important;
}

.markdown h1, 
.markdown h2, 
.markdown h3, 
.markdown h4, 
.markdown h5, 
.markdown h6 
.markdown blockquote,
.markdown hr {
    padding: 0;
    margin: 2 * $DEFAULT-SPACING 0 $DEFAULT-SPACING 0;
    scroll-margin-top: $DEFAULT-SPACING + $NAV-BAR-HEIGHT;
}

.markdown p {
    padding: 0;
    margin: $DEFAULT-SPACING 0;
    line-height: 1.75em;
    scroll-margin-top: 65px;
}

.markdown .toc-text {
    font-size: 1.1em;
}

.markdown .toc-number {
    font-size: 0.8em;
    font-weight: 500;
    margin-right: $DEFAULT-SPACING;
}

.markdown .toc-level-1 {
    margin-left: 0 * $DEFAULT-SPACING;
}

.markdown .toc-level-2 {
    margin-left: 1 * $DEFAULT-SPACING;
}

.markdown .toc-level-3 {
    margin-left: 2 * $DEFAULT-SPACING;
}

.markdown .toc-level-4 {
    margin-left: 3 * $DEFAULT-SPACING;
}

.markdown .toc-level-5 {
    margin-left: 4 * $DEFAULT-SPACING;
}

.markdown .toc-level-6 {
    margin-left: 5 * $DEFAULT-SPACING;
}

.markdown h1 {
    font-weight: 800;
    font-size: 1.9em;
    letter-spacing: 0.05em;
}

.markdown h2 {
    font-weight: 800;
    font-size: 1.7em;
    letter-spacing: 0.05em;
}

.markdown h3 {
    font-weight: 700;
    font-size: 1.5em;
    letter-spacing: 0.05em;
}

.markdown h4 {
    font-weight: 700;
    font-size: 1.4em;
    letter-spacing: 0.05em;
}

.markdown h5 {
    font-weight: 700;
    font-size: 1.2em;
    letter-spacing: 0.05em;
}

.markdown h6 {
    font-weight: 700;
    font-size: 1.1em;
    letter-spacing: 0.05em;
}

.markdown blockquote {
    font-style: italic;
    border-radius: $DEFAULT-SPACING;
    border-left: 5px solid $FOREGROUND-PRIMARY;
    margin: $DEFAULT-SPACING;
    padding: 2px 0 2px $DEFAULT-SPACING;
    background-color: rgba(0, 5, 10, 0.5);
}

.markdown table {
    width: 100%;
    margin: $DEFAULT-SPACING 0;
    border-collapse: collapse;
    border: 1px solid $FOREGROUND-SECONDARY;
}

.markdown th {
    padding: $DEFAULT-SPACING;
    height: 2 * $DEFAULT-SPACING;
    text-align: center;
    vertical-align: middle;

    font-size: 1.1em;
    font-weight: 600;
    border: 1px solid $FOREGROUND-SECONDARY;
    border-bottom: 5px solid $FOREGROUND-SECONDARY;
    color: $FONT-PRIMARY;
}

.markdown tr {
    width: 100%;
    margin: 0;
    padding: 0;
    border-bottom: 1px solid $FOREGROUND-SECONDARY;
}

.markdown td {
    margin: 0;
    padding: 0;
    font-size: 0.9em;
    border-right: 1px solid $FOREGROUND-SECONDARY;
    vertical-align: middle;
    word-wrap: normal;
}

.markdown ul {
    list-style-type: "ᐅ ";
    margin: $DEFAULT-SPACING;
}

.markdown ul > li {
    margin-left: $DEFAULT-SPACING 0;
}

.markdown pre {
    margin-left: $DEFAULT-SPACING 0;
    font-size: 1;
    line-height: 1.2em;
}

.markdown code {
    font-size: 1;
    line-height: 1.2em;
}

.markdown a {
    color: $FOREGROUND-SECONDARY;
    text-decoration: none;
}

.markdown a:visited {
    color: $FONT-SECONDARY;
}

code:not([class]) {
    padding: 0 3px;
    border-radius: 3px;
    background-color: rgba(0, 0, 0, 0.9);
}

.centered-profile-img {
    width: 128px !important; 
    margin: auto !important;
}
